//include "adc.c"
#include <iotms470r1a256.h>
#include "stdio.h"
#include "adc.h"
#include "lcd.h"

char res[30];

void InitADC(void) {

  ADCR1 = 0x3F; // Enable ADC
  ADCR2 = 0x00; // Enable single conversion mode of group

  ADSR = 0x7;   // Clear all conversion-ended flags.
  ADBCR1_bit.BUFEN = 0; //Select compatibility mode.

  ADBCR3 = 0x0; // 10bit format
  ADCALR = 0x0; // Cealr Offset register

}

int GetValueChanel0(void) {

  ADISR1 = 1; // First chanel assign to group 1

  while(!ADSR_bit.G1_END); // wait conversion completed
  return ADDR0&0x01ff;
}

int GetValueChanel1(void) {

  ADISR1 = 2; // Second chanel assign to group 1

  while(!ADSR_bit.G1_END); // wait conversion completed
  return ADDR1&0x01ff;
}

void CalcTemp(unsigned int temp) {

  float T;
  T = (float)temp/2.1;
  sprintf((char *)res,"Temp %0.1f C",T);

  //print
  LCDSendCommand(CLR_DISP);     // LCD clear
  LCDSendCommand(DD_RAM_ADDR);  // Set first row
  LCDSendTxt(res);              // Write to LCD

}

void CalcVolt(unsigned int volt) {

  float V;
  V = (float)volt * 3.3/(1024/2);
  sprintf((char *)res,"Volt %0.2f V",V);

  //print
  LCDSendCommand(DD_RAM_ADDR2); // Set second row
  LCDSendTxt(res);              // Write to LCD

}

